Skip site navigation (1) Skip section navigation (2)

Re: building the docs on Debian

From: Bruce Momjian <bruce(at)momjian(dot)us>
To: Alvaro Herrera <alvherre(at)commandprompt(dot)com>
Cc: Pg Docs <pgsql-docs(at)postgresql(dot)org>
Subject: Re: building the docs on Debian
Date: 2012-02-08 01:30:31
Message-ID: 20120208013030.GD17580@momjian.us (view raw or flat)
Thread:
Lists: pgsql-docs
On Tue, Dec 13, 2011 at 12:37:04AM -0300, Alvaro Herrera wrote:
> 
> Excerpts from Bruce Momjian's message of lun dic 12 22:45:20 -0300 2011:
> > I just tried to build our docs on Debian Squeeze using our instructions
> > for Debian:
> > 
> >     http://www.postgresql.org/docs/9.1/static/docguide-toolsets.html
> >     apt-get install docbook docbook-dsssl docbook-xsl openjade1.3 xsltproc
> > 
> > However, it failed on a 'make check' in the sgml directory because there
> > was no 'nsgmls' executable.  After doing 'apt-get install sp', the make
> > check worked fine.  Should I add 'sp' to the list of needed Debian
> > packages in our docs?
> 
> Per a pgsql-hackers thread just today, I think opensp is preferrable;
> see
> http://archives.postgresql.org/message-id/1323658338-sup-2332@alvh.no-ip.org

Thanks.  Opensp added as a build requirement for docs on Debian.

-- 
  Bruce Momjian  <bruce(at)momjian(dot)us>        http://momjian.us
  EnterpriseDB                             http://enterprisedb.com

  + It's impossible for everything to be true. +

In response to

pgsql-docs by date

Next:From: Josh BerkusDate: 2012-02-09 23:22:50
Subject: Add remark about column privileges to clarify
Previous:From: Peter EisentrautDate: 2012-01-31 17:57:59
Subject: Re: Cannot build docs on Ubuntu 10.04?

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group